Skip to main content
POST
/
generation
/
pixverse
/
v6
/
transition
PixVerse V6 Transition
curl --request POST \
  --url https://open.skills.video/api/v1/generation/pixverse/v6/transition \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "prompt": "<string>",
  "first_frame_url": "<string>"
}
'
{
  "id": "<string>",
  "status": "starting",
  "usage": {
    "total": 0,
    "subscription": 0,
    "permanent": 0
  }
}
PixVerse V6 first-frame/last-frame transition model.

Authorizations

Authorization
string
header
required

API Key for API endpoints

Body

prompt
string
required

Prompt for the transition

first_frame_url
string<uri>
required

URL of the image to use as the first frame

n
integer
default:1

Number of results to generate (1-4)

Required range: 1 <= x <= 4
end_frame_url
string<uri>

URL of the image to use as the last frame

aspect_ratio
enum<string>
default:16:9

The aspect ratio of the generated video

Available options:
16:9,
4:3,
1:1,
3:4,
9:16,
2:3,
3:2,
21:9
resolution
enum<string>
default:720p

The resolution of the generated video

Available options:
360p,
540p,
720p,
1080p
duration
number
default:5

The duration of the generated video in seconds

Required range: 1 <= x <= 15
negative_prompt
string
default:""

Negative prompt to be used for generation

style
enum<string>

The style of the generated video

Available options:
anime,
3d_animation,
clay,
comic,
cyberpunk
seed
number

Random seed for generation

generate_audio
boolean
default:false

Enable audio generation (BGM, SFX, dialogue)

generate_multi_clip
boolean
default:false

Enable multi-clip generation with dynamic camera changes

thinking_type
enum<string>
default:auto

Prompt optimization mode

Available options:
enabled,
disabled,
auto

Response

Generation status

id
string
required

Generation id.

status
enum<string>
required

Generation status

Available options:
starting,
processing,
succeeded,
failed,
canceled
usage
object
required

Credit usage breakdown for the request